POV-Ray : Newsgroups : povray.beta-test : v3.7.1-beta.2 crash Server Time: 30 Mar 2017 08:50:09 GMT
  v3.7.1-beta.2 crash (Message 1 to 3 of 3)  
From: dick balaska
Subject: v3.7.1-beta.2 crash
Date: 8 Feb 2017 08:20:53
Message: <589ad4e5$1@news.povray.org>
I have downloaded the source zip of beta.2 and built a povconsole64 
version of it in vs2015 community.
1) It crashes parsing my animation. The debugger only tells me heap 
corruption.  -- I will narrow that down to what.

2) It does parse and render the old leaktest that I posted to clipka 
last year.

____Installing your built povwin-3.7.1-beta.2____

1) Lots of path and shortcut references to "3.7-beta" in the installer. 
Should not those be "3.7.1-beta"?

2) It too crashes while parsing my animation. (That's actually a wee bit 
of a relief to me. ;) )

2a) It parses and renders "leaktest.ini"

3) It crashes parsing BorderChars. Download BorderChars 1.6 from 
p.b.scene-files and render Demo_Animation.pov
(I set his UseRadiosity = false)

3a) It either crashes or fails saying it can't find "colors.inc". (I saw 
this rarely on my console build, too).  I think with the heap corruption 
it gets confused and starts over.

The previous version that I used (successfully) is alpha-8615129.

-- 
dik


Post a reply to this message

From: dick balaska
Subject: Re: v3.7.1-beta.2 crash
Date: 8 Feb 2017 08:30:24
Message: <589ad720$1@news.povray.org>
Am 2017-02-08 03:21, also sprach dick balaska:

Eh, ignore all that. It is the same problem as what was already fixed.
I was focused on "use the official release!" trying to look at my 
windows slowness problem.  Needless to say, I didn't get far with that. :(


Post a reply to this message

From: clipka
Subject: Re: v3.7.1-beta.2 crash
Date: 8 Feb 2017 12:35:59
Message: <589b10af$1@news.povray.org>
Am 08.02.2017 um 09:21 schrieb dick balaska:

> ____Installing your built povwin-3.7.1-beta.2____
> 
> 1) Lots of path and shortcut references to "3.7-beta" in the installer.
> Should not those be "3.7.1-beta"?

That's intentional. Both 3.6.1 and 3.6.2 installed in "v3.6"
(superseding any 3.6.0 installation), and 3.7.1 will carry on this
tradition by installing in "v3.7" (superseding any 3.7.0 installation).
This is also reflected in the beta directory names, except that "-beta"
is added to the directory name so that during beta phase the 3.7.0
installation won't be touched yet.

Generally, 3.7 is _not_ an alias for 3.7.0, but rather a generic moniker
for any version from 3.7.0 to 3.7.9.

(An exception is the `#version` directive, where `3.7` is shorthand for
`3.70`, which identifies 3.7.0.)


Post a reply to this message

Copyright 2003-2008 Persistence of Vision Raytracer Pty. Ltd.